# Uses of Class
org.apache.sysds.runtime.lineage.LineageCacheEntry

Packages that use LineageCacheEntry
Package
Description
org.apache.sysds.runtime.lineage

## Uses of LineageCacheEntry in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage that return LineageCacheEntry
Modifier and Type
Method
Description
`static LineageCacheEntry`
LineageCache.`getEntry(LineageItem key)`
`static LineageCacheEntry`
LineageGPUCacheEviction.`pollFirstFreeEntry(long size)`
`static LineageCacheEntry`
LineageGPUCacheEviction.`pollFistFreeNotExact(long size)`
Methods in org.apache.sysds.runtime.lineage that return types with arguments of type LineageCacheEntry
Modifier and Type
Method
Description
`static Map<LineageItem,LineageCacheEntry>`
LineageCache.`getLineageCache()`
Methods in org.apache.sysds.runtime.lineage with parameters of type LineageCacheEntry
Modifier and Type
Method
Description
`static jcuda.Pointer`
LineageGPUCacheEviction.`copyToHostCache(LineageCacheEntry entry)`
`void`
LineageCacheEntry.`copyValueFrom(LineageCacheEntry src, long computetime)`
`static void`
LineageGPUCacheEviction.`removeFromDeviceCache(LineageCacheEntry entry, jcuda.Pointer ptr, boolean removeFromCache)`
Method parameters in org.apache.sysds.runtime.lineage with type arguments of type LineageCacheEntry
Modifier and Type
Method
Description
`static void`
LineageCacheEviction.`removeAll(Map<LineageItem,LineageCacheEntry> cache)`